Update notice response sender
curl --request PATCH \
--url https://api.ecomailhub.younegotiate.com/manage-creditor-profiles/{creditorProfile}/notice-responses/{noticeResponse}/sender \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "creditor_profile",
"id": 88
}
'import requests
url = "https://api.ecomailhub.younegotiate.com/manage-creditor-profiles/{creditorProfile}/notice-responses/{noticeResponse}/sender"
payload = {
"type": "creditor_profile",
"id": 88
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'creditor_profile', id: 88})
};
fetch('https://api.ecomailhub.younegotiate.com/manage-creditor-profiles/{creditorProfile}/notice-responses/{noticeResponse}/sender', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Creditor profile changed successfully.",
"data": {
"id": 456,
"consumer_id": 123,
"response_date": "2026-01-01T12:00:00.000000Z",
"response_date_label": "Jan 01, 2026",
"consumer_name": "Donna Weaver",
"sender": {
"id": 88,
"sender_detail_id": 99,
"type": "creditor_profile",
"name": "Target Capital"
},
"account_number": "PROFILE-100",
"notice_balance": "150.75",
"notice_balance_label": "$150.75",
"response_type": {
"value": 2,
"label": "Settlement Offer"
},
"creditor_member_status": {
"value": "consumer_prospect",
"label": "Consumer Prospect"
},
"creditor_response_status": {
"value": "pending_delivery",
"label": "Pending/Delivery"
},
"reason_label": null,
"notice": {
"has_notice_photo": false,
"file_url": null
},
"actions": {
"can_change_creditor_profile": true,
"can_close": true,
"can_view_notice": true
}
}
}{
"message": "Unauthenticated."
}{
"message": "Not Found."
}{
"message": "Cannot change creditor profile unless notice response is pending delivery."
}{
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
}Update notice response sender
Reassign a pending-delivery notice response from its current creditor profile to another eligible creditor profile or active company.
PATCH
/
manage-creditor-profiles
/
{creditorProfile}
/
notice-responses
/
{noticeResponse}
/
sender
Update notice response sender
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Current creditor profile ID from the notice response sender.
Notice response ID from the creditor profile notice responses table.
Body
application/json
Last modified on July 19, 2026
Was this page helpful?
⌘I

